/**
 * output package name
 */
package com.kingdee.eas.custom.gggl.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractPayRequestEditUI extends com.kingdee.eas.xr.client.XRBillBaseEditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractPayRequestEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreator;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCU;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contDescription;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditor;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contStatus;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizStatus;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcompany;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcustomer;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conthtAmount;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contzrPerson;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contdeparment;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conthtnn;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcontract;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contpayType;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contyjAmount;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contscAmount;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contbank;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contbankNum;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcwsjNum;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contscbyj;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsy;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsybyj;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contwyAmount;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contwyyj;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCreator;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkCreateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkLastUpdateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCU;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkBizDate;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtDescription;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtAuditor;
    protected com.kingdee.bos.ctrl.swing.KDComboBox comboStatus;
    protected com.kingdee.bos.ctrl.swing.KDComboBox comboBizStatus;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkAuditTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtcompany;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtcustomer;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txthtAmount;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtzrPerson;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtdeparment;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanehtnn;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txthtnn;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtcontract;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtpayType;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtyjAmount;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtscAmount;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtbank;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtbankNum;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtcwsjNum;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanescbyj;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtscbyj;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsy;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanesybyj;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtsybyj;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtwyAmount;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanewyyj;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtwyyj;
    protected com.kingdee.eas.custom.gggl.PayRequestInfo editData = null;
    /**
     * output class constructor
     */
    public AbstractPayRequestEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractPayRequestEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        //actionSubmit
        String _tempStr = null;
        actionSubmit.setEnabled(true);
        actionSubmit.setDaemonRun(false);

        actionSubmit.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl S"));
        _tempStr = resHelper.getString("ActionSubmit.SHORT_DESCRIPTION");
        actionSubmit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.LONG_DESCRIPTION");
        actionSubmit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.NAME");
        actionSubmit.putValue(ItemAction.NAME, _tempStr);
        this.actionSubmit.setBindWorkFlow(true);
        this.actionSubmit.setExtendProperty("canForewarn", "true");
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.ForewarnService());
        //actionUnAudit
        actionUnAudit.setEnabled(true);
        actionUnAudit.setDaemonRun(false);

        _tempStr = resHelper.getString("ActionUnAudit.SHORT_DESCRIPTION");
        actionUnAudit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionUnAudit.LONG_DESCRIPTION");
        actionUnAudit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionUnAudit.NAME");
        actionUnAudit.putValue(ItemAction.NAME, _tempStr);
        this.actionUnAudit.setBindWorkFlow(true);
         this.actionUnAudit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
        this.contCreator = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCreateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateUser = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCU = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contDescription = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditor = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contStatus = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizStatus = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcompany = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcustomer = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conthtAmount = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contzrPerson = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contdeparment = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conthtnn = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcontract = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contpayType = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contyjAmount = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contscAmount = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contbank = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contbankNum = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcwsjNum = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contscbyj = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsy = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsybyj = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contwyAmount = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contwyyj = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.prmtCreator = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.pkCreateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtLastUpdateUser = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.pkLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtCU = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkBizDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtDescription = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.prmtAuditor = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.comboStatus = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.comboBizStatus = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.pkAuditTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtcompany = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.prmtcustomer = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txthtAmount = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.prmtzrPerson = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.prmtdeparment = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.scrollPanehtnn = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txthtnn = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.prmtcontract = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.prmtpayType = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txtyjAmount = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtscAmount = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtbank = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtbankNum = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtcwsjNum = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.scrollPanescbyj = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtscbyj = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.txtsy = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.scrollPanesybyj = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtsybyj = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.txtwyAmount = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.scrollPanewyyj = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtwyyj = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.contCreator.setName("contCreator");
        this.contCreateTime.setName("contCreateTime");
        this.contLastUpdateUser.setName("contLastUpdateUser");
        this.contLastUpdateTime.setName("contLastUpdateTime");
        this.contCU.setName("contCU");
        this.contNumber.setName("contNumber");
        this.contBizDate.setName("contBizDate");
        this.contDescription.setName("contDescription");
        this.contAuditor.setName("contAuditor");
        this.contStatus.setName("contStatus");
        this.contBizStatus.setName("contBizStatus");
        this.contAuditTime.setName("contAuditTime");
        this.contcompany.setName("contcompany");
        this.contcustomer.setName("contcustomer");
        this.conthtAmount.setName("conthtAmount");
        this.contzrPerson.setName("contzrPerson");
        this.contdeparment.setName("contdeparment");
        this.conthtnn.setName("conthtnn");
        this.contcontract.setName("contcontract");
        this.contpayType.setName("contpayType");
        this.contyjAmount.setName("contyjAmount");
        this.contscAmount.setName("contscAmount");
        this.contbank.setName("contbank");
        this.contbankNum.setName("contbankNum");
        this.contcwsjNum.setName("contcwsjNum");
        this.contscbyj.setName("contscbyj");
        this.contsy.setName("contsy");
        this.contsybyj.setName("contsybyj");
        this.contwyAmount.setName("contwyAmount");
        this.contwyyj.setName("contwyyj");
        this.prmtCreator.setName("prmtCreator");
        this.pkCreateTime.setName("pkCreateTime");
        this.prmtLastUpdateUser.setName("prmtLastUpdateUser");
        this.pkLastUpdateTime.setName("pkLastUpdateTime");
        this.prmtCU.setName("prmtCU");
        this.txtNumber.setName("txtNumber");
        this.pkBizDate.setName("pkBizDate");
        this.txtDescription.setName("txtDescription");
        this.prmtAuditor.setName("prmtAuditor");
        this.comboStatus.setName("comboStatus");
        this.comboBizStatus.setName("comboBizStatus");
        this.pkAuditTime.setName("pkAuditTime");
        this.prmtcompany.setName("prmtcompany");
        this.prmtcustomer.setName("prmtcustomer");
        this.txthtAmount.setName("txthtAmount");
        this.prmtzrPerson.setName("prmtzrPerson");
        this.prmtdeparment.setName("prmtdeparment");
        this.scrollPanehtnn.setName("scrollPanehtnn");
        this.txthtnn.setName("txthtnn");
        this.prmtcontract.setName("prmtcontract");
        this.prmtpayType.setName("prmtpayType");
        this.txtyjAmount.setName("txtyjAmount");
        this.txtscAmount.setName("txtscAmount");
        this.txtbank.setName("txtbank");
        this.txtbankNum.setName("txtbankNum");
        this.txtcwsjNum.setName("txtcwsjNum");
        this.scrollPanescbyj.setName("scrollPanescbyj");
        this.txtscbyj.setName("txtscbyj");
        this.txtsy.setName("txtsy");
        this.scrollPanesybyj.setName("scrollPanesybyj");
        this.txtsybyj.setName("txtsybyj");
        this.txtwyAmount.setName("txtwyAmount");
        this.scrollPanewyyj.setName("scrollPanewyyj");
        this.txtwyyj.setName("txtwyyj");
        // CoreUI
        // contCreator		
        this.contCreator.setBoundLabelText(resHelper.getString("contCreator.boundLabelText"));		
        this.contCreator.setBoundLabelLength(100);		
        this.contCreator.setBoundLabelUnderline(true);
        // contCreateTime		
        this.contCreateTime.setBoundLabelText(resHelper.getString("contCreateTime.boundLabelText"));		
        this.contCreateTime.setBoundLabelLength(100);		
        this.contCreateTime.setBoundLabelUnderline(true);
        // contLastUpdateUser		
        this.contLastUpdateUser.setBoundLabelText(resHelper.getString("contLastUpdateUser.boundLabelText"));		
        this.contLastUpdateUser.setBoundLabelLength(100);		
        this.contLastUpdateUser.setBoundLabelUnderline(true);
        // contLastUpdateTime		
        this.contLastUpdateTime.setBoundLabelText(resHelper.getString("contLastUpdateTime.boundLabelText"));		
        this.contLastUpdateTime.setBoundLabelLength(100);		
        this.contLastUpdateTime.setBoundLabelUnderline(true);
        // contCU		
        this.contCU.setBoundLabelText(resHelper.getString("contCU.boundLabelText"));		
        this.contCU.setBoundLabelLength(100);		
        this.contCU.setBoundLabelUnderline(true);		
        this.contCU.setEnabled(false);		
        this.contCU.setVisible(false);
        // contNumber		
        this.contNumber.setBoundLabelText(resHelper.getString("contNumber.boundLabelText"));		
        this.contNumber.setBoundLabelLength(100);		
        this.contNumber.setBoundLabelUnderline(true);
        // contBizDate		
        this.contBizDate.setBoundLabelText(resHelper.getString("contBizDate.boundLabelText"));		
        this.contBizDate.setBoundLabelLength(100);		
        this.contBizDate.setBoundLabelUnderline(true);
        // contDescription		
        this.contDescription.setBoundLabelText(resHelper.getString("contDescription.boundLabelText"));		
        this.contDescription.setBoundLabelLength(100);		
        this.contDescription.setBoundLabelUnderline(true);		
        this.contDescription.setVisible(false);		
        this.contDescription.setEnabled(false);
        // contAuditor		
        this.contAuditor.setBoundLabelText(resHelper.getString("contAuditor.boundLabelText"));		
        this.contAuditor.setBoundLabelLength(100);		
        this.contAuditor.setBoundLabelUnderline(true);
        // contStatus		
        this.contStatus.setBoundLabelText(resHelper.getString("contStatus.boundLabelText"));		
        this.contStatus.setBoundLabelLength(100);		
        this.contStatus.setBoundLabelUnderline(true);		
        this.contStatus.setEnabled(false);
        // contBizStatus		
        this.contBizStatus.setBoundLabelText(resHelper.getString("contBizStatus.boundLabelText"));		
        this.contBizStatus.setBoundLabelLength(100);		
        this.contBizStatus.setBoundLabelUnderline(true);		
        this.contBizStatus.setEnabled(false);		
        this.contBizStatus.setVisible(false);
        // contAuditTime		
        this.contAuditTime.setBoundLabelText(resHelper.getString("contAuditTime.boundLabelText"));		
        this.contAuditTime.setBoundLabelLength(100);		
        this.contAuditTime.setBoundLabelUnderline(true);
        // contcompany		
        this.contcompany.setBoundLabelText(resHelper.getString("contcompany.boundLabelText"));		
        this.contcompany.setBoundLabelLength(100);		
        this.contcompany.setBoundLabelUnderline(true);		
        this.contcompany.setVisible(true);		
        this.contcompany.setEnabled(false);
        // contcustomer		
        this.contcustomer.setBoundLabelText(resHelper.getString("contcustomer.boundLabelText"));		
        this.contcustomer.setBoundLabelLength(100);		
        this.contcustomer.setBoundLabelUnderline(true);		
        this.contcustomer.setVisible(true);
        // conthtAmount		
        this.conthtAmount.setBoundLabelText(resHelper.getString("conthtAmount.boundLabelText"));		
        this.conthtAmount.setBoundLabelLength(100);		
        this.conthtAmount.setBoundLabelUnderline(true);		
        this.conthtAmount.setVisible(true);
        // contzrPerson		
        this.contzrPerson.setBoundLabelText(resHelper.getString("contzrPerson.boundLabelText"));		
        this.contzrPerson.setBoundLabelLength(100);		
        this.contzrPerson.setBoundLabelUnderline(true);		
        this.contzrPerson.setVisible(true);
        // contdeparment		
        this.contdeparment.setBoundLabelText(resHelper.getString("contdeparment.boundLabelText"));		
        this.contdeparment.setBoundLabelLength(100);		
        this.contdeparment.setBoundLabelUnderline(true);		
        this.contdeparment.setVisible(true);
        // conthtnn		
        this.conthtnn.setBoundLabelText(resHelper.getString("conthtnn.boundLabelText"));		
        this.conthtnn.setBoundLabelLength(100);		
        this.conthtnn.setBoundLabelUnderline(true);		
        this.conthtnn.setVisible(true);
        // contcontract		
        this.contcontract.setBoundLabelText(resHelper.getString("contcontract.boundLabelText"));		
        this.contcontract.setBoundLabelLength(100);		
        this.contcontract.setBoundLabelUnderline(true);		
        this.contcontract.setVisible(true);		
        this.contcontract.setEnabled(false);
        // contpayType		
        this.contpayType.setBoundLabelText(resHelper.getString("contpayType.boundLabelText"));		
        this.contpayType.setBoundLabelLength(100);		
        this.contpayType.setBoundLabelUnderline(true);		
        this.contpayType.setVisible(true);
        // contyjAmount		
        this.contyjAmount.setBoundLabelText(resHelper.getString("contyjAmount.boundLabelText"));		
        this.contyjAmount.setBoundLabelLength(100);		
        this.contyjAmount.setBoundLabelUnderline(true);		
        this.contyjAmount.setVisible(true);		
        this.contyjAmount.setEnabled(false);
        // contscAmount		
        this.contscAmount.setBoundLabelText(resHelper.getString("contscAmount.boundLabelText"));		
        this.contscAmount.setBoundLabelLength(100);		
        this.contscAmount.setBoundLabelUnderline(true);		
        this.contscAmount.setVisible(true);
        // contbank		
        this.contbank.setBoundLabelText(resHelper.getString("contbank.boundLabelText"));		
        this.contbank.setBoundLabelLength(100);		
        this.contbank.setBoundLabelUnderline(true);		
        this.contbank.setVisible(true);
        // contbankNum		
        this.contbankNum.setBoundLabelText(resHelper.getString("contbankNum.boundLabelText"));		
        this.contbankNum.setBoundLabelLength(100);		
        this.contbankNum.setBoundLabelUnderline(true);		
        this.contbankNum.setVisible(true);
        // contcwsjNum		
        this.contcwsjNum.setBoundLabelText(resHelper.getString("contcwsjNum.boundLabelText"));		
        this.contcwsjNum.setBoundLabelLength(100);		
        this.contcwsjNum.setBoundLabelUnderline(true);		
        this.contcwsjNum.setVisible(true);
        // contscbyj		
        this.contscbyj.setBoundLabelText(resHelper.getString("contscbyj.boundLabelText"));		
        this.contscbyj.setBoundLabelLength(100);		
        this.contscbyj.setBoundLabelUnderline(true);		
        this.contscbyj.setVisible(true);
        // contsy		
        this.contsy.setBoundLabelText(resHelper.getString("contsy.boundLabelText"));		
        this.contsy.setBoundLabelLength(100);		
        this.contsy.setBoundLabelUnderline(true);		
        this.contsy.setVisible(true);
        // contsybyj		
        this.contsybyj.setBoundLabelText(resHelper.getString("contsybyj.boundLabelText"));		
        this.contsybyj.setBoundLabelLength(100);		
        this.contsybyj.setBoundLabelUnderline(true);		
        this.contsybyj.setVisible(true);
        // contwyAmount		
        this.contwyAmount.setBoundLabelText(resHelper.getString("contwyAmount.boundLabelText"));		
        this.contwyAmount.setBoundLabelLength(100);		
        this.contwyAmount.setBoundLabelUnderline(true);		
        this.contwyAmount.setVisible(true);
        // contwyyj		
        this.contwyyj.setBoundLabelText(resHelper.getString("contwyyj.boundLabelText"));		
        this.contwyyj.setBoundLabelLength(100);		
        this.contwyyj.setBoundLabelUnderline(true);		
        this.contwyyj.setVisible(true);
        // prmtCreator		
        this.prmtCreator.setEnabled(false);		
        this.prmtCreator.setCommitFormat("$name$");		
        this.prmtCreator.setEditFormat("$name$");		
        this.prmtCreator.setDisplayFormat("$name$");
        // pkCreateTime		
        this.pkCreateTime.setTimeEnabled(true);		
        this.pkCreateTime.setEnabled(false);
        // prmtLastUpdateUser		
        this.prmtLastUpdateUser.setEnabled(false);		
        this.prmtLastUpdateUser.setDisplayFormat("$name$");		
        this.prmtLastUpdateUser.setEditFormat("$name$");		
        this.prmtLastUpdateUser.setCommitFormat("$name$");
        // pkLastUpdateTime		
        this.pkLastUpdateTime.setTimeEnabled(true);		
        this.pkLastUpdateTime.setEnabled(false);
        // prmtCU		
        this.prmtCU.setEnabled(false);
        // txtNumber
        // pkBizDate
        // txtDescription
        // prmtAuditor		
        this.prmtAuditor.setEnabled(false);		
        this.prmtAuditor.setCommitFormat("$name$");		
        this.prmtAuditor.setDisplayFormat("$name$");		
        this.prmtAuditor.setEditFormat("$name$");
        // comboStatus		
        this.comboStatus.addItems(EnumUtils.getEnumList("com.kingdee.eas.xr.app.XRBillStatusEnum").toArray());		
        this.comboStatus.setEnabled(false);
        // comboBizStatus		
        this.comboBizStatus.addItems(EnumUtils.getEnumList("com.kingdee.eas.xr.app.XRBizActionEnum").toArray());		
        this.comboBizStatus.setEnabled(false);		
        this.comboBizStatus.setVisible(false);
        // pkAuditTime		
        this.pkAuditTime.setTimeEnabled(true);		
        this.pkAuditTime.setEnabled(false);
        // prmtcompany		
        this.prmtcompany.setQueryInfo("com.kingdee.eas.basedata.org.app.CompanyOrgUnitQuery");		
        this.prmtcompany.setVisible(true);		
        this.prmtcompany.setEditable(true);		
        this.prmtcompany.setDisplayFormat("$name$");		
        this.prmtcompany.setEditFormat("$number$");		
        this.prmtcompany.setCommitFormat("$number$");		
        this.prmtcompany.setRequired(false);
        // prmtcustomer		
        this.prmtcustomer.setQueryInfo("com.kingdee.eas.basedata.master.cssp.app.CustomerInfoQuery");		
        this.prmtcustomer.setVisible(true);		
        this.prmtcustomer.setEditable(true);		
        this.prmtcustomer.setDisplayFormat("$name$");		
        this.prmtcustomer.setEditFormat("$number$");		
        this.prmtcustomer.setCommitFormat("$number$");		
        this.prmtcustomer.setRequired(false);
        // txthtAmount		
        this.txthtAmount.setVisible(true);		
        this.txthtAmount.setHorizontalAlignment(2);		
        this.txthtAmount.setDataType(1);		
        this.txthtAmount.setSupportedEmpty(true);		
        this.txthtAmount.setMinimumValue( new java.math.BigDecimal("-1.0E26"));		
        this.txthtAmount.setMaximumValue( new java.math.BigDecimal("1.0E26"));		
        this.txthtAmount.setPrecision(2);		
        this.txthtAmount.setRequired(false);
        // prmtzrPerson		
        this.prmtzrPerson.setQueryInfo("com.kingdee.eas.basedata.person.app.PersonQuery");		
        this.prmtzrPerson.setVisible(true);		
        this.prmtzrPerson.setEditable(true);		
        this.prmtzrPerson.setDisplayFormat("$name$");		
        this.prmtzrPerson.setEditFormat("$number$");		
        this.prmtzrPerson.setCommitFormat("$number$");		
        this.prmtzrPerson.setRequired(false);
        // prmtdeparment		
        this.prmtdeparment.setQueryInfo("com.kingdee.eas.basedata.org.app.AdminItemQuery");		
        this.prmtdeparment.setVisible(true);		
        this.prmtdeparment.setEditable(true);		
        this.prmtdeparment.setDisplayFormat("$name$");		
        this.prmtdeparment.setEditFormat("$number$");		
        this.prmtdeparment.setCommitFormat("$number$");		
        this.prmtdeparment.setRequired(false);
        // scrollPanehtnn
        // txthtnn		
        this.txthtnn.setVisible(true);		
        this.txthtnn.setRequired(false);		
        this.txthtnn.setMaxLength(2000);
        // prmtcontract		
        this.prmtcontract.setQueryInfo("com.kingdee.eas.custom.gggl.app.SaleContractQuery");		
        this.prmtcontract.setVisible(true);		
        this.prmtcontract.setEditable(true);		
        this.prmtcontract.setDisplayFormat("$htmc$");		
        this.prmtcontract.setEditFormat("$number$");		
        this.prmtcontract.setCommitFormat("$number$");		
        this.prmtcontract.setRequired(false);
        // prmtpayType		
        this.prmtpayType.setQueryInfo("com.kingdee.eas.fi.cas.PaymentBillTypeQuery");		
        this.prmtpayType.setVisible(true);		
        this.prmtpayType.setEditable(true);		
        this.prmtpayType.setDisplayFormat("$name$");		
        this.prmtpayType.setEditFormat("$number$");		
        this.prmtpayType.setCommitFormat("$number$");		
        this.prmtpayType.setRequired(false);
        // txtyjAmount		
        this.txtyjAmount.setVisible(true);		
        this.txtyjAmount.setHorizontalAlignment(2);		
        this.txtyjAmount.setDataType(1);		
        this.txtyjAmount.setSupportedEmpty(true);		
        this.txtyjAmount.setMinimumValue( new java.math.BigDecimal("-1.0E26"));		
        this.txtyjAmount.setMaximumValue( new java.math.BigDecimal("1.0E26"));		
        this.txtyjAmount.setPrecision(2);		
        this.txtyjAmount.setRequired(false);
        // txtscAmount		
        this.txtscAmount.setVisible(true);		
        this.txtscAmount.setHorizontalAlignment(2);		
        this.txtscAmount.setDataType(1);		
        this.txtscAmount.setSupportedEmpty(true);		
        this.txtscAmount.setMinimumValue( new java.math.BigDecimal("-1.0E26"));		
        this.txtscAmount.setMaximumValue( new java.math.BigDecimal("1.0E26"));		
        this.txtscAmount.setPrecision(2);		
        this.txtscAmount.setRequired(false);
        this.txtscAmount.addDataChangeListener(new com.kingdee.bos.ctrl.swing.event.DataChangeListener() {
            public void dataChanged(com.kingdee.bos.ctrl.swing.event.DataChangeEvent e) {
                try {
                    txtscAmount_dataChanged(e);
                } catch (Exception exc) {
                    handUIException(exc);
                } finally {
                }
            }
        });
        // txtbank		
        this.txtbank.setVisible(true);		
        this.txtbank.setHorizontalAlignment(2);		
        this.txtbank.setMaxLength(255);		
        this.txtbank.setRequired(false);
        // txtbankNum		
        this.txtbankNum.setVisible(true);		
        this.txtbankNum.setHorizontalAlignment(2);		
        this.txtbankNum.setMaxLength(255);		
        this.txtbankNum.setRequired(false);
        // txtcwsjNum		
        this.txtcwsjNum.setVisible(true);		
        this.txtcwsjNum.setHorizontalAlignment(2);		
        this.txtcwsjNum.setMaxLength(100);		
        this.txtcwsjNum.setRequired(false);
        // scrollPanescbyj
        // txtscbyj		
        this.txtscbyj.setVisible(true);		
        this.txtscbyj.setRequired(false);		
        this.txtscbyj.setMaxLength(1000);
        // txtsy		
        this.txtsy.setVisible(true);		
        this.txtsy.setHorizontalAlignment(2);		
        this.txtsy.setDataType(1);		
        this.txtsy.setSupportedEmpty(true);		
        this.txtsy.setMinimumValue( new java.math.BigDecimal("-1.0E26"));		
        this.txtsy.setMaximumValue( new java.math.BigDecimal("1.0E26"));		
        this.txtsy.setPrecision(2);		
        this.txtsy.setRequired(false);
        this.txtsy.addDataChangeListener(new com.kingdee.bos.ctrl.swing.event.DataChangeListener() {
            public void dataChanged(com.kingdee.bos.ctrl.swing.event.DataChangeEvent e) {
                try {
                    txtsy_dataChanged(e);
                } catch (Exception exc) {
                    handUIException(exc);
                } finally {
                }
            }
        });
        // scrollPanesybyj
        // txtsybyj		
        this.txtsybyj.setVisible(true);		
        this.txtsybyj.setRequired(false);		
        this.txtsybyj.setMaxLength(1000);
        // txtwyAmount		
        this.txtwyAmount.setVisible(true);		
        this.txtwyAmount.setHorizontalAlignment(2);		
        this.txtwyAmount.setDataType(1);		
        this.txtwyAmount.setSupportedEmpty(true);		
        this.txtwyAmount.setMinimumValue( new java.math.BigDecimal("-1.0E26"));		
        this.txtwyAmount.setMaximumValue( new java.math.BigDecimal("1.0E26"));		
        this.txtwyAmount.setPrecision(2);		
        this.txtwyAmount.setRequired(false);
        this.txtwyAmount.addDataChangeListener(new com.kingdee.bos.ctrl.swing.event.DataChangeListener() {
            public void dataChanged(com.kingdee.bos.ctrl.swing.event.DataChangeEvent e) {
                try {
                    txtwyAmount_dataChanged(e);
                } catch (Exception exc) {
                    handUIException(exc);
                } finally {
                }
            }
        });
        // scrollPanewyyj
        // txtwyyj		
        this.txtwyyj.setVisible(true);		
        this.txtwyyj.setRequired(false);		
        this.txtwyyj.setMaxLength(1000);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {prmtcompany,prmtcustomer,txthtAmount,prmtzrPerson,prmtdeparment,txthtnn,prmtcontract,prmtpayType,txtyjAmount,txtscAmount,txtbank,txtbankNum,txtcwsjNum,txtscbyj,txtsy,txtsybyj,txtwyAmount,txtwyyj}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(10, 10, 1013, 629));
        this.setLayout(new KDLayout());
        this.putClientProperty("OriginalBounds", new Rectangle(10, 10, 1013, 629));
        contCreator.setBounds(new Rectangle(14, 576, 270, 19));
        this.add(contCreator, new KDLayout.Constraints(14, 576, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contCreateTime.setBounds(new Rectangle(14, 598, 270, 19));
        this.add(contCreateTime, new KDLayout.Constraints(14, 598, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contLastUpdateUser.setBounds(new Rectangle(371, 576, 270, 19));
        this.add(contLastUpdateUser, new KDLayout.Constraints(371, 576, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contLastUpdateTime.setBounds(new Rectangle(371, 598, 270, 19));
        this.add(contLastUpdateTime, new KDLayout.Constraints(371, 598, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contCU.setBounds(new Rectangle(976, 440, 270, 19));
        this.add(contCU, new KDLayout.Constraints(976, 440, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contNumber.setBounds(new Rectangle(14, 11, 270, 19));
        this.add(contNumber, new KDLayout.Constraints(14, 11, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contBizDate.setBounds(new Rectangle(375, 11, 270, 19));
        this.add(contBizDate, new KDLayout.Constraints(375, 11, 270, 19, KDLayout.Constraints.ANCHOR_BOTTOM_SCALE | KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contDescription.setBounds(new Rectangle(981, 498, 270, 19));
        this.add(contDescription, new KDLayout.Constraints(981, 498, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contAuditor.setBounds(new Rectangle(736, 576, 270, 19));
        this.add(contAuditor, new KDLayout.Constraints(736, 576, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contStatus.setBounds(new Rectangle(735, 11, 270, 19));
        this.add(contStatus, new KDLayout.Constraints(735, 11, 270, 19, KDLayout.Constraints.ANCHOR_BOTTOM_SCALE | KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contBizStatus.setBounds(new Rectangle(977, 471, 270, 19));
        this.add(contBizStatus, new KDLayout.Constraints(977, 471, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contAuditTime.setBounds(new Rectangle(736, 598, 270, 19));
        this.add(contAuditTime, new KDLayout.Constraints(736, 598, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contcompany.setBounds(new Rectangle(735, 35, 270, 19));
        this.add(contcompany, new KDLayout.Constraints(735, 35, 270, 19, KDLayout.Constraints.ANCHOR_BOTTOM_SCALE | KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contcustomer.setBounds(new Rectangle(375, 61, 270, 19));
        this.add(contcustomer, new KDLayout.Constraints(375, 61, 270, 19, KDLayout.Constraints.ANCHOR_BOTTOM_SCALE | KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        conthtAmount.setBounds(new Rectangle(14, 61, 270, 19));
        this.add(conthtAmount, new KDLayout.Constraints(14, 61, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contzrPerson.setBounds(new Rectangle(735, 58, 270, 19));
        this.add(contzrPerson, new KDLayout.Constraints(735, 58, 270, 19, KDLayout.Constraints.ANCHOR_BOTTOM_SCALE | KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contdeparment.setBounds(new Rectangle(735, 84, 270, 19));
        this.add(contdeparment, new KDLayout.Constraints(735, 84, 270, 19, KDLayout.Constraints.ANCHOR_BOTTOM_SCALE | KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        conthtnn.setBounds(new Rectangle(14, 134, 994, 38));
        this.add(conthtnn, new KDLayout.Constraints(14, 134, 994, 38, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT));
        contcontract.setBounds(new Rectangle(375, 36, 270, 19));
        this.add(contcontract, new KDLayout.Constraints(375, 36, 270, 19, KDLayout.Constraints.ANCHOR_BOTTOM_SCALE | KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contpayType.setBounds(new Rectangle(12, 36, 270, 19));
        this.add(contpayType, new KDLayout.Constraints(12, 36, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contyjAmount.setBounds(new Rectangle(14, 84, 270, 19));
        this.add(contyjAmount, new KDLayout.Constraints(14, 84, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contscAmount.setBounds(new Rectangle(14, 185, 270, 19));
        this.add(contscAmount, new KDLayout.Constraints(14, 185, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contbank.setBounds(new Rectangle(375, 84, 270, 19));
        this.add(contbank, new KDLayout.Constraints(375, 84, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contbankNum.setBounds(new Rectangle(375, 109, 270, 19));
        this.add(contbankNum, new KDLayout.Constraints(375, 109, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contcwsjNum.setBounds(new Rectangle(14, 109, 270, 19));
        this.add(contcwsjNum, new KDLayout.Constraints(14, 109, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contscbyj.setBounds(new Rectangle(14, 210, 993, 60));
        this.add(contscbyj, new KDLayout.Constraints(14, 210, 993, 60, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT));
        contsy.setBounds(new Rectangle(14, 284, 270, 19));
        this.add(contsy, new KDLayout.Constraints(14, 284, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contsybyj.setBounds(new Rectangle(14, 310, 992, 53));
        this.add(contsybyj, new KDLayout.Constraints(14, 310, 992, 53, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT));
        contwyAmount.setBounds(new Rectangle(14, 375, 270, 19));
        this.add(contwyAmount, new KDLayout.Constraints(14, 375, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contwyyj.setBounds(new Rectangle(14, 406, 993, 63));
        this.add(contwyyj, new KDLayout.Constraints(14, 406, 993, 63, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT));
        //contCreator
        contCreator.setBoundEditor(prmtCreator);
        //contCreateTime
        contCreateTime.setBoundEditor(pkCreateTime);
        //contLastUpdateUser
        contLastUpdateUser.setBoundEditor(prmtLastUpdateUser);
        //contLastUpdateTime
        contLastUpdateTime.setBoundEditor(pkLastUpdateTime);
        //contCU
        contCU.setBoundEditor(prmtCU);
        //contNumber
        contNumber.setBoundEditor(txtNumber);
        //contBizDate
        contBizDate.setBoundEditor(pkBizDate);
        //contDescription
        contDescription.setBoundEditor(txtDescription);
        //contAuditor
        contAuditor.setBoundEditor(prmtAuditor);
        //contStatus
        contStatus.setBoundEditor(comboStatus);
        //contBizStatus
        contBizStatus.setBoundEditor(comboBizStatus);
        //contAuditTime
        contAuditTime.setBoundEditor(pkAuditTime);
        //contcompany
        contcompany.setBoundEditor(prmtcompany);
        //contcustomer
        contcustomer.setBoundEditor(prmtcustomer);
        //conthtAmount
        conthtAmount.setBoundEditor(txthtAmount);
        //contzrPerson
        contzrPerson.setBoundEditor(prmtzrPerson);
        //contdeparment
        contdeparment.setBoundEditor(prmtdeparment);
        //conthtnn
        conthtnn.setBoundEditor(scrollPanehtnn);
        //scrollPanehtnn
        scrollPanehtnn.getViewport().add(txthtnn, null);
        //contcontract
        contcontract.setBoundEditor(prmtcontract);
        //contpayType
        contpayType.setBoundEditor(prmtpayType);
        //contyjAmount
        contyjAmount.setBoundEditor(txtyjAmount);
        //contscAmount
        contscAmount.setBoundEditor(txtscAmount);
        //contbank
        contbank.setBoundEditor(txtbank);
        //contbankNum
        contbankNum.setBoundEditor(txtbankNum);
        //contcwsjNum
        contcwsjNum.setBoundEditor(txtcwsjNum);
        //contscbyj
        contscbyj.setBoundEditor(scrollPanescbyj);
        //scrollPanescbyj
        scrollPanescbyj.getViewport().add(txtscbyj, null);
        //contsy
        contsy.setBoundEditor(txtsy);
        //contsybyj
        contsybyj.setBoundEditor(scrollPanesybyj);
        //scrollPanesybyj
        scrollPanesybyj.getViewport().add(txtsybyj, null);
        //contwyAmount
        contwyAmount.setBoundEditor(txtwyAmount);
        //contwyyj
        contwyyj.setBoundEditor(scrollPanewyyj);
        //scrollPanewyyj
        scrollPanewyyj.getViewport().add(txtwyyj, null);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTable1);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuWorkflow);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator6);
        menuFile.add(menuItemSendMail);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        menuEdit.add(separator1);
        menuEdit.add(menuItemCreateFrom);
        menuEdit.add(menuItemCreateTo);
        menuEdit.add(menuItemCopyFrom);
        menuEdit.add(separatorEdit1);
        menuEdit.add(menuItemEnterToNextRow);
        menuEdit.add(separator2);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        menuView.add(separator3);
        menuView.add(menuItemTraceUp);
        menuView.add(menuItemTraceDown);
        menuView.add(kDSeparator7);
        menuView.add(menuItemLocate);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        menuBiz.add(MenuItemVoucher);
        menuBiz.add(menuItemDelVoucher);
        //menuTable1
        menuTable1.add(menuItemAddLine);
        menuTable1.add(menuItemCopyLine);
        menuTable1.add(menuItemInsertLine);
        menuTable1.add(menuItemRemoveLine);
        //menuTool
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuWorkflow
        menuWorkflow.add(menuItemStartWorkFlow);
        menuWorkflow.add(separatorWF1);
        menuWorkflow.add(menuItemViewSubmitProccess);
        menuWorkflow.add(menuItemViewDoProccess);
        menuWorkflow.add(MenuItemWFG);
        menuWorkflow.add(menuItemWorkFlowList);
        menuWorkflow.add(separatorWF2);
        menuWorkflow.add(menuItemMultiapprove);
        menuWorkflow.add(menuItemNextPerson);
        menuWorkflow.add(menuItemAuditResult);
        menuWorkflow.add(kDSeparator5);
        menuWorkflow.add(kDMenuItemSendMessage);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnSave);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnReset);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(btnAudit);
        this.toolBar.add(btnUnAudit);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnTraceUp);
        this.toolBar.add(btnTraceDown);
        this.toolBar.add(btnWorkFlowG);
        this.toolBar.add(btnSignature);
        this.toolBar.add(btnNumberSign);
        this.toolBar.add(btnViewSignature);
        this.toolBar.add(separatorFW4);
        this.toolBar.add(separatorFW7);
        this.toolBar.add(btnCreateFrom);
        this.toolBar.add(btnCopyFrom);
        this.toolBar.add(btnCreateTo);
        this.toolBar.add(separatorFW5);
        this.toolBar.add(separatorFW8);
        this.toolBar.add(btnAddLine);
        this.toolBar.add(btnCopyLine);
        this.toolBar.add(btnInsertLine);
        this.toolBar.add(btnRemoveLine);
        this.toolBar.add(separatorFW6);
        this.toolBar.add(separatorFW9);
        this.toolBar.add(btnVoucher);
        this.toolBar.add(btnDelVoucher);
        this.toolBar.add(btnAuditResult);
        this.toolBar.add(btnMultiapprove);
        this.toolBar.add(btnWFViewdoProccess);
        this.toolBar.add(btnWFViewSubmitProccess);
        this.toolBar.add(btnNextPerson);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("creator", com.kingdee.eas.base.permission.UserInfo.class, this.prmtCreator, "data");
		dataBinder.registerBinding("createTime", java.sql.Timestamp.class, this.pkCreateTime, "value");
		dataBinder.registerBinding("lastUpdateUser", com.kingdee.eas.base.permission.UserInfo.class, this.prmtLastUpdateUser, "data");
		dataBinder.registerBinding("lastUpdateTime", java.sql.Timestamp.class, this.pkLastUpdateTime, "value");
		dataBinder.registerBinding("CU", com.kingdee.eas.basedata.org.CtrlUnitInfo.class, this.prmtCU, "data");
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("bizDate", java.util.Date.class, this.pkBizDate, "value");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "text");
		dataBinder.registerBinding("auditor", com.kingdee.eas.base.permission.UserInfo.class, this.prmtAuditor, "data");
		dataBinder.registerBinding("status", com.kingdee.eas.xr.app.XRBillStatusEnum.class, this.comboStatus, "selectedItem");
		dataBinder.registerBinding("bizStatus", com.kingdee.eas.xr.app.XRBizActionEnum.class, this.comboBizStatus, "selectedItem");
		dataBinder.registerBinding("auditTime", java.sql.Timestamp.class, this.pkAuditTime, "value");
		dataBinder.registerBinding("company", com.kingdee.eas.basedata.org.CompanyOrgUnitInfo.class, this.prmtcompany, "data");
		dataBinder.registerBinding("customer", com.kingdee.eas.basedata.master.cssp.CustomerInfo.class, this.prmtcustomer, "data");
		dataBinder.registerBinding("htAmount", java.math.BigDecimal.class, this.txthtAmount, "value");
		dataBinder.registerBinding("zrPerson", com.kingdee.eas.basedata.person.PersonInfo.class, this.prmtzrPerson, "data");
		dataBinder.registerBinding("deparment", com.kingdee.eas.basedata.org.AdminOrgUnitInfo.class, this.prmtdeparment, "data");
		dataBinder.registerBinding("htnn", String.class, this.txthtnn, "text");
		dataBinder.registerBinding("contract", com.kingdee.eas.custom.gggl.SaleContractInfo.class, this.prmtcontract, "data");
		dataBinder.registerBinding("payType", com.kingdee.eas.fi.cas.PaymentBillTypeInfo.class, this.prmtpayType, "data");
		dataBinder.registerBinding("yjAmount", java.math.BigDecimal.class, this.txtyjAmount, "value");
		dataBinder.registerBinding("scAmount", java.math.BigDecimal.class, this.txtscAmount, "value");
		dataBinder.registerBinding("bank", String.class, this.txtbank, "text");
		dataBinder.registerBinding("bankNum", String.class, this.txtbankNum, "text");
		dataBinder.registerBinding("cwsjNum", String.class, this.txtcwsjNum, "text");
		dataBinder.registerBinding("scbyj", String.class, this.txtscbyj, "text");
		dataBinder.registerBinding("sy", java.math.BigDecimal.class, this.txtsy, "value");
		dataBinder.registerBinding("sybyj", String.class, this.txtsybyj, "text");
		dataBinder.registerBinding("wyAmount", java.math.BigDecimal.class, this.txtwyAmount, "value");
		dataBinder.registerBinding("wyyj", String.class, this.txtwyyj, "text");		
	}
	//Regiester UI State
	private void registerUIState(){		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.gggl.app.PayRequestEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.prmtcompany.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.gggl.PayRequestInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"NONE",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }

    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("NONE");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ????????งต??
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("creator", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("CU", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditor", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("status", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizStatus", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("company", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("customer", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("htAmount", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("zrPerson", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("deparment", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("htnn", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("contract", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("payType", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("yjAmount", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("scAmount", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bank", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bankNum", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("cwsjNum", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("scbyj", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sy", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sybyj", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("wyAmount", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("wyyj", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
        } else if (STATUS_EDIT.equals(this.oprtState)) {
        } else if (STATUS_VIEW.equals(this.oprtState)) {
        } else if (STATUS_FINDVIEW.equals(this.oprtState)) {
        }
    }

    /**
     * output txtscAmount_dataChanged method
     */
    protected void txtscAmount_dataChanged(com.kingdee.bos.ctrl.swing.event.DataChangeEvent e) throws Exception
    {
    }

    /**
     * output txtsy_dataChanged method
     */
    protected void txtsy_dataChanged(com.kingdee.bos.ctrl.swing.event.DataChangeEvent e) throws Exception
    {
    }

    /**
     * output txtwyAmount_dataChanged method
     */
    protected void txtwyAmount_dataChanged(com.kingdee.bos.ctrl.swing.event.DataChangeEvent e) throws Exception
    {
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("creator.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("creator.id"));
        	sic.add(new SelectorItemInfo("creator.number"));
        	sic.add(new SelectorItemInfo("creator.name"));
		}
        sic.add(new SelectorItemInfo("createTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("lastUpdateUser.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("lastUpdateUser.id"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.number"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.name"));
		}
        sic.add(new SelectorItemInfo("lastUpdateTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("CU.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("CU.id"));
        	sic.add(new SelectorItemInfo("CU.number"));
        	sic.add(new SelectorItemInfo("CU.name"));
		}
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("description"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("auditor.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("auditor.id"));
        	sic.add(new SelectorItemInfo("auditor.number"));
        	sic.add(new SelectorItemInfo("auditor.name"));
		}
        sic.add(new SelectorItemInfo("status"));
        sic.add(new SelectorItemInfo("bizStatus"));
        sic.add(new SelectorItemInfo("auditTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("company.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("company.id"));
        	sic.add(new SelectorItemInfo("company.number"));
        	sic.add(new SelectorItemInfo("company.name"));
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("customer.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("customer.id"));
        	sic.add(new SelectorItemInfo("customer.number"));
        	sic.add(new SelectorItemInfo("customer.name"));
		}
        sic.add(new SelectorItemInfo("htAmount"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("zrPerson.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("zrPerson.id"));
        	sic.add(new SelectorItemInfo("zrPerson.number"));
        	sic.add(new SelectorItemInfo("zrPerson.name"));
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("deparment.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("deparment.id"));
        	sic.add(new SelectorItemInfo("deparment.number"));
        	sic.add(new SelectorItemInfo("deparment.name"));
		}
        sic.add(new SelectorItemInfo("htnn"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("contract.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("contract.id"));
        	sic.add(new SelectorItemInfo("contract.number"));
        	sic.add(new SelectorItemInfo("contract.htmc"));
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("payType.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("payType.id"));
        	sic.add(new SelectorItemInfo("payType.number"));
        	sic.add(new SelectorItemInfo("payType.name"));
		}
        sic.add(new SelectorItemInfo("yjAmount"));
        sic.add(new SelectorItemInfo("scAmount"));
        sic.add(new SelectorItemInfo("bank"));
        sic.add(new SelectorItemInfo("bankNum"));
        sic.add(new SelectorItemInfo("cwsjNum"));
        sic.add(new SelectorItemInfo("scbyj"));
        sic.add(new SelectorItemInfo("sy"));
        sic.add(new SelectorItemInfo("sybyj"));
        sic.add(new SelectorItemInfo("wyAmount"));
        sic.add(new SelectorItemInfo("wyyj"));
        return sic;
    }        
    	

    /**
     * output actionSubmit_actionPerformed method
     */
    public void actionSubmit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionSubmit_actionPerformed(e);
    }
    	

    /**
     * output actionUnAudit_actionPerformed method
     */
    public void actionUnAudit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionUnAudit_actionPerformed(e);
    }
	public RequestContext prepareActionSubmit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionSubmit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionSubmit() {
    	return false;
    }
	public RequestContext prepareActionUnAudit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionUnAudit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionUnAudit() {
    	return false;
    }

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.gggl.client", "PayRequestEditUI");
    }
    /**
     * output isBindWorkFlow method
     */
    public boolean isBindWorkFlow()
    {
        return true;
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.gggl.client.PayRequestEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.gggl.PayRequestFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.gggl.PayRequestInfo objectValue = new com.kingdee.eas.custom.gggl.PayRequestInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }


    	protected String getTDFileName() {
    	return "/bim/custom/gggl/PayRequest";
	}
    protected IMetaDataPK getTDQueryPK() {
    	return new MetaDataPK("com.kingdee.eas.custom.gggl.app.PayRequestQuery");
	}
    

    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {        
        return null;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}